Subject: Re: bug#9321: repeated segfaults sorting large files in 8.12

From: Andras Salamon <[email-masked]>
Date: Sat, 20 Aug 2011 22:03:10 +0100

On Sat, Aug 20, 2011 at 08:31:46AM +0200, Jim Meyering wrote:
>As Pádraig already mentioned, most useful would be instructions
>showing how to reproduce the failure, even if part of that is something
>like "run this command 30 times" to provoke the rare failure.

I'm seeing roughly 1 in 5 failures with the larger runs.

>Have you reproduced the problem on more than one system?
>If not, have you recently run any tests of your system's hardware?
>It would be a shame to invest a lot of debugging effort,
>if it ends up being a hardware problem with one specific system.

Good point, thanks for the suggestion.  I hope to have access next
week to a different system with enough free space to try to reproduce.
Will run some hardware tests in the meantime.

-- Andras Salamon                   [email-masked]